Bug 1698947 - Puppet environments are not synced to the capsules
Summary: Puppet environments are not synced to the capsules
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Views
Version: 6.5.0
Hardware: Unspecified
OS: Unspecified
high
high vote
Target Milestone: Released
Assignee: Samir Jha
QA Contact: Perry Gagne
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-11 13:20 UTC by sthirugn@redhat.com
Modified: 2019-10-07 17:20 UTC (History)
2 users (show)

Fixed In Version: tfm-rubygem-katello-3.10.0.46-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:40:38 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:40:43 UTC
Foreman Issue Tracker 26596 None None None 2019-04-12 13:06:41 UTC

Description sthirugn@redhat.com 2019-04-11 13:20:49 UTC
Description of problem:
Puppet environments are not synced to the capsules

Version-Release number of selected component (if applicable):
satellite-6.5.0-11.el7sat.noarch

How reproducible:
Always

Steps to Reproduce:

On Satellite:
*************
# hammer capsule list
---|-------------------------------------------------|--------------------------------------------------------------|--------------------------
ID | NAME                                            | URL                                                          | FEATURES                 
---|-------------------------------------------------|--------------------------------------------------------------|--------------------------
2  | pipeline-capsule-6-5-rhel7.kangae.example.com   | https://pipeline-capsule-6-5-rhel7.kangae.example.com:9090   | Templates, Pulp Node, ...
1  | pipeline-satellite-6-5-rhel7.kangae.example.com | https://pipeline-satellite-6-5-rhel7.kangae.example.com:9090 | Templates, Pulp, TFTP,...
---|-------------------------------------------------|--------------------------------------------------------------|--------------------------

# hammer capsule content add-lifecycle-environment --environment Library --id 2 --organization "Default Organization"
Lifecycle environment successfully added to the capsule.

[root@pipeline-satellite-6-5-rhel7 ~]# hammer product create --name testprod --organization "Default Organization"
Product created.

# hammer repository create --name testrepo --content-type puppet --product testprod --organization "Default Organization"
Repository created.

# hammer repository upload-content --name testrepo --product testprod --organization "Default Organization" --path  puppetlabs-stdlib-5.2.0.tar.gz
Successfully uploaded file 'puppetlabs-stdlib-5.2.0.tar.gz'

# hammer content-view create --name testcv --organization "Default Organization"
Content view created.

# hammer content-view puppet-module add --author puppetlabs --name stdlib --content-view testcv --organization "Default Organization"
Puppet module added to content view.

# hammer content-view puppet-module list --content-view testcv --organization "Default Organization"
-----|--------|------------|------------------------
UUID | NAME   | AUTHOR     | VERSION                
-----|--------|------------|------------------------
     | stdlib | puppetlabs | Latest(Currently 5.2.0)
-----|--------|------------|------------------------

# ls /etc/puppetlabs/code/environments/
common  development  KT_Test_Organization_Library_Test_CV_4  KT_Test_Organization_Test_Test_CV_4  production

$ ls /etc/puppetlabs/code/environments/
common  development  production

# hammer content-view publish --name testcv --organization "Default Organization"
[.........................................................................................] [100%]

# ls /etc/puppetlabs/code/environments/
common  development  KT_Default_Organization_Library_testcv_5  KT_Test_Organization_Library_Test_CV_4  KT_Test_Organization_Test_Test_CV_4  production

On Capsule:
************
# ls /etc/puppetlabs/code/environments/
common  development  production

Actual results:
The capsules doesn't get the new puppet environments created by Satellite's content view with puppet modules in them.

Expected results:
The capsules must get the new puppet environments created by Satellite's content view with puppet modules in them.

Additional info:
This works fine in Satellite 6.4

Comment 6 Perry Gagne 2019-04-15 20:23:25 UTC
Verified fix in sat 6.5 snap 24.

Follow the steps the in the description and the puppet modules got synced to the capsule:

[root@capsule ~]# ls /etc/puppetlabs/code/environments/KT_Default_Organization_Library_testcv_5/modules/stdlib/
appveyor.yml  checksums.json   examples  HISTORY.md  LICENSE  MAINTAINERS.md  metadata.json  Rakefile                   README.md  README_SPECS.markdown     spec
CHANGELOG.md  CONTRIBUTING.md  Gemfile   lib         locales  manifests       NOTICE         README_DEVELOPER.markdown  readmes    RELEASE_PROCESS.markdown  types

Comment 8 errata-xmlrpc 2019-05-14 12:40:38 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.